<!--
  Generated template for the ViewIeuPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>View Input End-User</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col col-12 *ngFor="let i of order.simcard">
        <ion-row>
          <ion-col col-12  style="border-bottom:solid 1px #EEE;">
            <b>#Simcard</b>
          </ion-col>
        </ion-row>
        
        <table border="1" width="100%">
            <tr>
              <td colspan="4"><b>Simcard</b></td>
            </tr>  
            <tr>
              <td>QTY</td>
              <td>Price</td>
              <td>Discount %</td>
              <td>Discount $</td>
              
            </tr>
            <tr>
              <td>{{i.nominal}}</td>
              <td>{{i.price}}</td>
              <td>{{i.discount}}</td>
              <td>{{i.dollar}}</td>
            </tr>
            <tr>
              <td colspan="2">Total</td>
              <td colspan="2">{{i.total}}</td>
            </tr>
            
            <tr>
              <td colspan="4"><b>Block Number</b></td>
            </tr>
            <tr>
              <td>QTY</td>
              <td>Start MSIDN</td>
              <td colspan="2">End MSIDN</td>
              
           </tr>

           <tbody *ngFor="let att of bnSimcard;" >
            <tr>
              <td>{{att.qty}}</td>
              <td>{{att.start_msisdn}}</td>
              <td colspan="2">{{att.end_msisdn}}</td>
            </tr>
         </tbody> 
          </table>

      </ion-col>
      <!-- <ion-col col-12 *ngFor="let i of order.etopup" >
        <b>#Pulsa Digital</b>
        <table border="1" width="100%">
            <tr>
              <td colspan="4"><b>Pulsa Digital</b></td>
            </tr>  
            <tr>
              <td>Nominal</td>
              <td>Price</td>
              <td>Discount %</td>
              <td>Dollar $</td>
            </tr>
            <tr>
              <td>{{i.nominal}}</td>
              <td>{{i.price}}</td>
              <td>{{i.discount}}</td>
              <td>{{i.dollar}}</td>
            </tr>
            <tr>
              <td colspan="2">Total</td>
              <td colspan="2">{{i.total}}</td>
            </tr>
            <tr>
              <td colspan="2">Status</td>
              <td colspan="2">
                <span *ngIf="i.status_approval==0" style="background:yellow;padding: 2px;color: #000;">Waiting</span>
                <span *ngIf="i.status_approval==1" style="background:green;padding: 2px;color: #FFF;">Approved</span>
                <span *ngIf="i.status_approval==2" style="background:tomato;padding: 2px;color: #FFF;">Rejected</span>
              </td>
            </tr>
        </table>
      </ion-col> -->
      <ion-col col-12>
        <b>#Voucher</b>
        <hr>
      </ion-col>
      <ion-col col-12 *ngFor="let i of order.voucher">
        
        <table border="1" width="100%">
            <tr>
              <td colspan="4"><b>{{i.product_name}}</b></td>
            </tr>  
            <tr>
              <td>QTY</td>
              <td>Price</td>
              <td>Discount %</td>
              <td>Discount $</td>
            </tr>
            <tr>
              <td>{{i.nominal}}</td>
              <td>{{i.price}}</td>
              <td>{{i.discount}}</td>
              <td>{{i.dollar}}</td>
            </tr>
            <tr>
              <td colspan="2">Total</td>
              <td colspan="2">{{i.total}}</td>
            </tr>

            <tr>
              <td colspan="4"><b>Block Number</b></td>
            </tr>
            <tr>
              <td>QTY</td>
              <td>Start Voucher</td>
              <td colspan="2">End Voucher</td>
              
           </tr>

           <tbody *ngFor="let att of bnVoucher;" >
            <tr *ngIf="att.products_fk == i.id">
              <th rowspan="2">{{att.qty}}</th>
              <td colspan="3">{{att.start_msisdn}}</td>
            </tr>
            
            <tr *ngIf="att.products_fk == i.id">
              <td colspan="3">{{att.end_msisdn}}</td>
            </tr>
         </tbody> 

          </table>

      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
